summaryrefslogtreecommitdiff
path: root/dev-python/protobuf-python/protobuf-python-4.25.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-01-11 20:52:27 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-01-11 20:52:27 +0000
commitefd2e0bc2c2479b69ba2b2fea3d5ae06b15aa725 (patch)
tree5b15be0e6468c8d5c826b2c7a5adbbeb49d77664 /dev-python/protobuf-python/protobuf-python-4.25.2.ebuild
parent08dae4bceacfae2fb9e10fa66cba49da2346b22b (diff)
downloadbaldeagleos-repo-efd2e0bc2c2479b69ba2b2fea3d5ae06b15aa725.tar.gz
baldeagleos-repo-efd2e0bc2c2479b69ba2b2fea3d5ae06b15aa725.tar.xz
baldeagleos-repo-efd2e0bc2c2479b69ba2b2fea3d5ae06b15aa725.zip
Adding metadata
Diffstat (limited to 'dev-python/protobuf-python/protobuf-python-4.25.2.ebuild')
-rw-r--r--dev-python/protobuf-python/protobuf-python-4.25.2.ebuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/dev-python/protobuf-python/protobuf-python-4.25.2.ebuild b/dev-python/protobuf-python/protobuf-python-4.25.2.ebuild
new file mode 100644
index 000000000000..d32ad79fc7fb
--- /dev/null
+++ b/dev-python/protobuf-python/protobuf-python-4.25.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2023-2024 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 flag-o-matic
+
+PARENT_PN="${PN/-python/}"
+PARENT_PV="$(ver_cut 2-)"
+PARENT_P="${PARENT_PN}-${PARENT_PV}"
+
+SRC_URI="
+ https://github.com/protocolbuffers/protobuf/archive/v${PARENT_PV}.tar.gz -> ${PARENT_P}.tar.gz
+"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~mips ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+DESCRIPTION="Google's Protocol Buffers - Python bindings"
+HOMEPAGE="
+ https://developers.google.com/protocol-buffers/
+ https://pypi.org/project/protobuf/
+"
+
+LICENSE="BSD"
+SLOT="0/25.2.0"
+
+S="${WORKDIR}/${PARENT_P}/python"
+
+BDEPEND="
+"
+DEPEND="
+ ${PYTHON_DEPS}
+"
+RDEPEND="
+ ${BDEPEND}
+ dev-libs/protobuf:${SLOT}
+"
+
+distutils_enable_tests setup.py
+
+python_prepare_all() {
+ eapply_user
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ append-cxxflags -std=c++17
+ DISTUTILS_ARGS=( --cpp_implementation )
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}/install" -name "*.pth" -type f -delete || die
+}